#ifndef Punkt_H
#define Punkt_H
//---Include---

#define WIN32_LEAN_AND_MEAN
#include <Windows.h>

namespace Framework
{
	// benötigte includes
	class WFenster; // aus Fenster.h
	class Punkt; // aus dieser Datei

	class Punkt // Punkt Klasse
	{
	private:
		int ref;

	public:
		// Variablen 
		int x, y;
		// Konstroktor 
		Punkt();
		Punkt( int xx, int yy );
		// Destruktor 
		~Punkt();
		// nicht constant 
		void setP( int x, int y ); // setzt x und y
		void setX( int x ); // setzt x
		void setY( int y ); // setzt y
		// constant 
		int getX() const; // gibt x zurück
		int getY() const; // gibt y zurück
		// Reference Counting 
		Punkt *getThis();
		Punkt *release();
	};

	// andere Funktionen 
	Punkt *BildschirmGröße(); // Gibt die Größe des Bildschirms zurück
	Punkt *Bildschirmmitte(); // Giebt die Mitte des Bildschirms zurück
	Punkt *Bildschirmmitte( WFenster *f ); // Giebt die Mitte des Bildschirms zurück
	bool operator >( Punkt &a, Punkt &b ); // Gibt an, ob a > als b ist
	bool operator <( Punkt &a, Punkt &b ); // Gibt an, ob a < als b ist
	bool operator <=( Punkt &a, Punkt &b ); // Gibt an, ob a <= als b ist
	bool operator >=( Punkt &a, Punkt &b ); // Gibt an, ob a >= als b ist
}
#endif